#ifndef ANIMFRAME_H
#define ANIMFRAME_H

#include "SDL.h"
#include "SDL_image.h"
#include <vector>
#include <string>
using namespace std;

class AnimFrame {
 public:
  AnimFrame (string);
  int render (SDL_Surface*, SDL_Rect &);
  bool isValid ();
  void setOffsetAndTime (Sint32, Sint32, Uint32, bool);
  Uint16 getTime ();
  bool getPlayPartner ();

  ~AnimFrame ();
 protected:
  SDL_Surface * pic;
  Sint32 xOffset;
  Sint32 yOffset;
  Uint16 timeToHoldFrame;
  bool playPartner;
};

#endif
