#ifndef STATRECORD_H
#define STATRECORD_H

#include "SDL.h"
#include "SDL_gfxPrimitives.h"

#include <vector>
using namespace std;

struct FightRecord
{
  Uint32 numWins;
  Uint32 hpAfterFight;
  Uint32 hpRegen;
  Uint32 enemyIndexForFight;
  Uint32 numRounds;
  Uint32 yourAtkLevel;
  Uint32 yourDefLevel;
  Sint32 atkCompare;
  Sint32 defCompare;
};

class StatRecord {
 public:
  StatRecord ();

  Sint32 recordStats1 (Uint32 nWins, Uint32 enemIndex, Uint32 atkLvl, Uint32 defLvl, Sint32 atkComp, Sint32 defComp);
  Sint32 recordStats2 (Uint32 hp, Uint32 hpRegen, Uint32 rnds);

  Sint32 recordStats1 ();
  Sint32 recordStats2 ();

  Sint32 coutStats (Sint32 = -1);

  void clear ();
  virtual ~StatRecord ();
 protected:
  vector <FightRecord*> records;
  bool makingStat;
};

#endif
